Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jboss.seam.annotations
Annotation Type Begin

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface Begin

Marks a method as beginning a long-running conversation, if none exists, and if the method returns a non-null value without throwing an exception. A null outcome never begins a conversation. If the method is of type void, a conversation always begins.

Author:
  Gavin King

Optional Element Summary
`FlushModeType` | `flushMode` Set the FlushMode for any EntityManager used in this conversation.
`String` | `id` Deprecated. use in pages.xml
`String[]` | `ifOutcome` Deprecated. use Conversation.instance().begin();
`boolean` | `join` If false (the default), invocation of the begin method in the scope of an existing conversation will cause an exception to be thrown.
`boolean` | `nested` If enabled, and if a conversation is already active, begin a nested conversation, instead of continuing in the context of the existing conversation.
`String` | `pageflow` The name of the jBPM process definition defining the page flow for this conversation.

### ifOutcome

    public abstract String[] ifOutcome

  Deprecated. use Conversation.instance().begin();

  An empty outcome list is interpreted to mean any outcome except for the null (redisplay) outcome.

  Default:
    {}

### nested

    public abstract boolean nested

  If enabled, and if a conversation is already active, begin a nested conversation, instead of continuing in the context of the existing conversation.

  Default:
    false

### join

    public abstract boolean join

  If false (the default), invocation of the begin method in the scope of an existing conversation will cause an exception to be thrown.

  Default:
    false

### pageflow

    public abstract String pageflow

  The name of the jBPM process definition defining the page flow for this conversation.

  Default:
    ""

### id

    public abstract String id

  Deprecated. use in pages.xml

  An EL expression for the conversation id. If a conversation with the same id aready exists, Seam will redirect to that conversation.

  Default:
    ""

### flushMode

    public abstract FlushModeType flushMode

  Set the FlushMode for any EntityManager used in this conversation.

  Default:
    org.jboss.seam.annotations.FlushModeType.AUTO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2012 Seam Framework. All Rights Reserved.